### Home Classes Methods

### In Files

- lib/graphviz/ext.rb

### Parent

Object

### Methods

- ::find

### Files

- AUTHORS
- COPYING
- README.rdoc

### Class/Module Index

Quicksearch

- GraphViz
- GraphViz::Attrs
- GraphViz::Edge
- GraphViz::Elements
- GraphViz::Ext
- GraphViz::FamilyTree
- GraphViz::FamilyTree::Couple
- GraphViz::FamilyTree::Generation
- GraphViz::FamilyTree::Person
- GraphViz::FamilyTree::Sibling
- GraphViz::GraphML
- GraphViz::Math
- GraphViz::Math::CoordinateError
- GraphViz::Math::Matrix
- GraphViz::Math::ValueError
- GraphViz::Node
- GraphViz::Theory
- GraphViz::Types
- GraphViz::Types::Common
- GraphViz::Types::EscString
- GraphViz::Types::GvDouble
- GraphViz::Types::HtmlString
- GraphViz::Types::LblString
- GraphViz::XML
- Constants
- GVUtils
- Hash
- Object
- String

No matching classes.

# GraphViz::Ext

### Public Class Methods

find( ext = nil ) click to toggle source

    # File lib/graphviz/ext.rb, line 5
    def self.find( ext = nil )
      myPath = File.join( File.dirname( File.expand_path( __FILE__ ) ), "..", "ext" )
      found = myPath
      unless ext.nil?
        Find.find(myPath) do |path|
          found = path if File.basename( path ) == ext
        end
      end

      File.expand_path( found )
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.